Skip to main content
GET
/
workspaces
/
{workspace_id}
/
agent
/
skills
/
{skill_id}
/
draft
/
file
Error
A valid request URL is required to generate request examples
{
  "path": "<string>",
  "content_type": "<string>",
  "size_bytes": 123,
  "sha256": "<string>",
  "text_content": "<string>",
  "download_url": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

skill_id
string<uuid>
required
workspace_id
string<uuid>
required

Query Parameters

path
string
required

Response

Successful Response

Response model for reading a single skill draft file.

kind
enum<string>
required
Available options:
inline,
download
path
string
required
content_type
string
required
size_bytes
integer
required
sha256
string
required
text_content
string | null
download_url
string | null